//-------------------------------------------------------------------------*
//工 程 名: AD                                                             *
//硬件连接: (1)PTF.0接指示灯                                               *
//          (2)AW60目标板上的串口1接PC机串口,PTB0引脚接电位器              *
//程序描述: 通过调节电位器的阻值改变PTB0的电压，得到不同的AD转换结果       *
//说    明: 串口波特率为9600,使用SCI1                                      *
//---------------苏州大学飞思卡尔嵌入式系统研发中心2011年------------------*

#include "Includes.h"

void main(void)
{
    //1 主程序使用的变量定义
    uint16 Res;
    uint32 mRunCount=0;    
    //2 关总中断
    DisableInterrupt();             //禁止总中断
    //3 芯片初始化
    MCUInit();
    //4 模块初始化
    Light_Init(Light_Run_PORT,Light_Run,Light_OFF); //指示灯初始化
    SCIInit(SCI_NUM_1,SYSTEM_CLOCK,9600);   //串行口初始化
    ADCInit();                      //A/D转换初始化
    //5 开放中断
    EnableSCIReInt();               //开放SCI接收中断
    EnableInterrupt();              //开放总中断
    //6 主循环
    while (1)
    {        
        //1 主循环计数到一定的值，使小灯的亮、暗状态切换
        mRunCount++;
        if (mRunCount>=10) 
        {    
          //1 程序指示灯亮暗状态切换
          Light_Change(Light_Run_PORT,Light_Run);   
          mRunCount=0;  //循环变量清0
        }
        //2 主循环执行的任务
          
        // 通道0做AD转换,200次均值滤波,串口发送均值滤波结果
        Res=ADCAve(AD_CH_0, 200);
        SCISend1(SCI_NUM_1,(uint8)Res);
          
    }
}
